Bug 622476 - SELinux is preventing /sbin/dhclient "search" access on /var/lib/wicd.
Summary: SELinux is preventing /sbin/dhclient "search" access on /var/lib/wicd.
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy   
(Show other bugs)
Version: 12
Hardware: powerpc Linux
low
medium
Target Milestone: ---
Assignee: Miroslav Grepl
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: setroubleshoot_trace_hash:53ef5f9817a...
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-09 13:38 UTC by Robert Story
Modified: 2010-08-26 00:57 UTC (History)
6 users (show)

Fixed In Version: selinux-policy-3.6.32-121.fc12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 613218
Environment:
Last Closed: 2010-08-26 00:57:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Robert Story 2010-08-09 13:38:06 UTC
+++ This bug was initially created as a clone of Bug #613218 +++

Summary:

SELinux is preventing /sbin/dhclient "search" access on /var/lib/wicd.

Detailed Description:

SELinux denied access requested by dhclient. It is not expected that this access
is required by dhclient and this access may signal an intrusion attempt. It is
also possible that the specific version or configuration of the application is
causing it to require additional access.

Allowing Access:

You can generate a local policy module to allow this access - see FAQ
(http://docs.fedoraproject.org/selinux-faq-fc5/#id2961385) Please file a bug
report.

Additional Information:
New bug for F12 as requested:

--- Additional comment from rs@bugzilla.redhat.spam.futz.org on 2010-08-05 12:52:12 EDT ---

Can we get an update for F12 too? (Should I file a separate bug?) I have selinux-policy-3.6.32-118.fc12.noarch:

node=example.org type=AVC msg=audit(1280932074.577:2494): avc: denied { search } for pid=12094 comm="dhclient" name="wicd" dev=dm-6 ino=167857 scontext=unconfined_u:system_r:dhcpc_t:s0 tcontext=system_u:object_r:NetworkManager_var_lib_t:s0 tclass=dir

--- Additional comment from mgrepl@redhat.com on 2010-08-06 07:14:08 EDT ---

(In reply to comment #5)
> Can we get an update for F12 too? (Should I file a separate bug?) 

Please open a new bugzilla for F12.

Comment 1 Miroslav Grepl 2010-08-17 10:56:15 UTC
Fixed in selinux-policy-3.6.32-121.fc12.

Comment 2 Fedora Update System 2010-08-20 10:28:01 UTC
selinux-policy-3.6.32-121.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-121.fc12

Comment 3 Fedora Update System 2010-08-21 04:31:44 UTC
selinux-policy-3.6.32-121.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update selinux-policy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/selinux-policy-3.6.32-121.fc12

Comment 4 Fedora Update System 2010-08-26 00:56:39 UTC
selinux-policy-3.6.32-121.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.